package Lambda;

import java.util.function.Consumer;
import java.util.function.Supplier;

public class SupplierExample {
    public static void main(String[] args) {


        //example of supplier
        Supplier<String> supplier = () -> {
            System.out.println("inside the supplier");
            return  "hello";
        };
        String string = supplier.get();
        System.out.println(string);


        //example of consumer
        Consumer<String> consumer = (String s) -> {
            System.out.println("Inside the consumer");
            System.out.println(s);
        };
        consumer.accept("hello");

        Supplier<String> supplier1 = () -> {
            System.out.println("Supplier");
            return "hello";
        };
        String s = supplier1.get();
        System.out.println(s);
    }
}
